summaryrefslogtreecommitdiff
path: root/cpp/bindings/qmf/tests/run_interop_tests
diff options
context:
space:
mode:
authorTed Ross <tross@apache.org>2009-09-02 14:32:57 +0000
committerTed Ross <tross@apache.org>2009-09-02 14:32:57 +0000
commit4ab8745255dad1cfaf3f69f782d721ace36ff0fc (patch)
tree26246ccf90628c72984a67d4cae3d02d3c27f00e /cpp/bindings/qmf/tests/run_interop_tests
parent1dc24b76364878a9c9dde3ad3b7dbc2b85567c68 (diff)
downloadqpid-python-4ab8745255dad1cfaf3f69f782d721ace36ff0fc.tar.gz
QPID-2064 - add python bindings for qmf (c++)
Applied patch from Ken Giusti git-svn-id: https://svn.apache.org/repos/asf/qpid/trunk/qpid@810523 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'cpp/bindings/qmf/tests/run_interop_tests')
-rwxr-xr-xcpp/bindings/qmf/tests/run_interop_tests32
1 files changed, 30 insertions, 2 deletions
diff --git a/cpp/bindings/qmf/tests/run_interop_tests b/cpp/bindings/qmf/tests/run_interop_tests
index f3f78185c7..d0e1662f3b 100755
--- a/cpp/bindings/qmf/tests/run_interop_tests
+++ b/cpp/bindings/qmf/tests/run_interop_tests
@@ -49,17 +49,44 @@ stop_ruby_agent() {
kill $AGENT_PID
}
+start_python_agent() {
+ PYTHONPATH="${MY_DIR}/../python:${API_DIR}/python:${API_DIR}/python/.libs" python ${MY_DIR}/python_agent.py localhost $BROKER_PORT &
+ PY_AGENT_PID=$!
+}
+
+stop_python_agent() {
+ kill $PY_AGENT_PID
+}
+
+TESTS_FAILED=0
+
if test -d ${PYTHON_DIR} ; then
start_broker
echo "Running qmf interop tests using broker on port $BROKER_PORT"
PYTHONPATH=${PYTHON_DIR}:${MY_DIR}
export PYTHONPATH
+
+ echo " Python Agent (external storage) vs. Pure-Python Console"
+ start_python_agent
+ echo " Python agent started at pid $PY_AGENT_PID"
+ ${PYTHON_DIR}/qpid-python-test -m python_console -b localhost:$BROKER_PORT $@
+ RETCODE=$?
+ stop_python_agent
+ if test x$RETCODE != x0; then
+ echo "FAIL qmf interop tests (Python Agent)";
+ TESTS_FAILED=1
+ fi
+
echo " Ruby Agent (external storage) vs. Pure-Python Console"
start_ruby_agent
echo " Ruby agent started at pid $AGENT_PID"
${PYTHON_DIR}/qpid-python-test -m python_console -b localhost:$BROKER_PORT $@
RETCODE=$?
stop_ruby_agent
+ if test x$RETCODE != x0; then
+ echo "FAIL qmf interop tests (Ruby Agent)";
+ TESTS_FAILED=1
+ fi
# Also against the Pure-Python console:
# Ruby agent (internal storage)
@@ -72,7 +99,8 @@ if test -d ${PYTHON_DIR} ; then
# C++ console
stop_broker
- if test x$RETCODE != x0; then
- echo "FAIL qmf interop tests"; exit 1;
+ if test x$TESTS_FAILED != x0; then
+ echo "TEST FAILED!"
+ exit 1
fi
fi